import { set } from "./schedule.js";
function easeVarying(t, n) {
	return function() {
		var r = n.apply(this, arguments);
		if (typeof r != "function") throw Error();
		set(this, t).ease = r;
	};
}
function easeVarying_default(e) {
	if (typeof e != "function") throw Error();
	return this.each(easeVarying(this._id, e));
}
export { easeVarying_default as default };
